﻿#check_label {
    display: inline-block;
    position: relative;
    vertical-align: top;
    width: 100%;
    /* Required so sub-elements will be positioned relative to this div */
}

#check_label label {
    position: absolute;
    top: 0;
    left: -7px;
    font-size:11px;
}


.form-wrapper h2, .form-wrapper div, body {
    font-size: 14px;
}

.form-wrapper hr {
    border: 0;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    border-top: 1px solid rgba(0,0,0,.1);
}

.form-wrapper table {
    font-size: 12px;
}

.form-wrapper td {
    font-size: 12px;
    white-space: inherit !important;
    max-width: 235px;
}

.form-wrapper th {
    font-size: 12px;
}

.form-wrapper a {
    transition: none;
    -moz-transition: none;
    -webkit-transition: none;
    -o-transition: none;
}

input[type=radio] {
    float: left;
}

/* flows the radio/checkbox label*/
.longLabel {
    display: table-caption;
    margin: 15px;
}

.checkable {
    display: table-cell;
    vertical-align: top;
}

.noaunderline {
    text-decoration: none !important;
}

.fieldstatus {
    vertical-align: top;
}

.sectionnametext {
    float: left;
    width: 100%;
}

.sectionstatus {
    float: right;
    vertical-align: middle;
    padding-right: 2px;
}

.fieldlabel {
    font-size: 13px;
    vertical-align: middle;
    padding-left: 6px;
}

/*.fieldsavestatus{
    display:inline;
}*/

.fieldsaveneutral {
    display: none;
}

.fieldsaved {
    display: inline;
    color: green;
    right: 5em;
}

.vu-table-drill-header th {
    color: #222;
}

.fieldsaveerror {
    display: inline;
    color: red;
}

.fieldmodifiedsaved {
    color: green;
    font-size: x-small;
}

.fieldmodifiederror {
    color: red;
    font-size: x-small;
}

.sectionnameseparator {
    clear: both;
    width: 98%;
    align-items: center;
}

.dialog {
    position: absolute;
    left: 30px;
    top: 120px;
    height: 480px;
    width: 640px;
    background-color: rgba(0, 0, 255, 0.25);
    padding: 5px;
    float: right;
}

.dialogContent {
    background: #fff;
    padding: 20px;
    width: 100%;
    height: 100%;
}

.helptext {
    height: 360px;
    overflow: scroll;
}
/* Style the header */
.header {
    padding: 10px 16px;
    background: #555;
    color: #f1f1f1;
}

/* Page content */
.content {
    padding: 16px;
}

#completionpercentagedial {
    min-width: 80%;
    max-width: 100%;
    margin: 1em auto;
}
/*This section is for the completion percentage bar*/
#myProgress {
    width: 11%;
    height: 3%;
    position: fixed;
    margin: auto;
    top: 28%;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
/* text for the completion percentage*/
#myprogressBar {
    text-align: center;
    align-self: center;
    font-weight: bold;
}
/*Background bar for the completion percentage*/
#colorstrip {
    width: 100%;
    height: 30px;
    border-style: solid;
    border-color: gray;
    background-color: lightgreen;
    position: absolute;
}
/*Actual bar that changes percentage*/
#myBar {
    width: 100%;
    height: 99%;
    top: 1%;
    background-color: forestgreen;
    position: absolute;
}

/*Text Banner*/
#bannerText {
    align-content: center;
    display: flex;
    flex-wrap: wrap;
    -ms-flex-direction: column;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
}


/*#hidden_bannerText {
    align-content: center;
    display: flex;
    flex-wrap: wrap;
    -ms-flex-direction: column;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
}

#hidden_BarCode {
    display:none;
}*/

#barcodeRow {
    /*display: inline-grid;*/
    padding: 10px;
    margin: 0;
}

#lockedStatus {
    color: green;
    border: 1px solid;
    text-align: center;
}

#updateSectionScroll {
    /* height: 30rem; */
}

#readOnlyScroll {
    /* height: 25rem; */
}

#PHIHeader.sticky:not(*:root) {
    position: sticky; /*Chromium will use this*/
}

/* The sticky class is added to the header with JS when it reaches its scroll position */
.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: #fff;
    z-index: 999;
}

.sectionLeft {
    position: fixed;
    top: 0;
    width: 12%;
    background-color: #fff;
    z-index: 999;
}
/* Add some top padding to the page content to prevent sudden quick movement (as the header gets a new position at the top of the page (position:fixed and top:0) */
.sticky + .content {
    padding-top: 102px;
}

.disabled {
    background: #f2f2f2;
}

.label, [data-tooltip]:after {
    font-size: 1em;
    padding: .4em .6em;
    margin-left: 1em;
    line-height: 1;
}

@media (min-width: 60em) {
    .sectionLeft {
        width: 18%;
    }

    .three-sixth {
        width: 56%;
        /* text-align: left; */
    }

    .fullWidth {
        width: 100%;
        font-weight: bold;
        /* text-align: left; */
    }

    .note {
        display: block;
        padding: 4px
    }

    .four-sixth {
        width: 67%;
    }

    .one-sixth {
        width: 27%;
    }
}
/**
    This media is only activated when the user prints the page.
*/
@media print {

    .post-login-banner {
        display:none;
    }

    .section-border-left {
        border: none !important;
    }

    #barcodeRow {
        height: 20px;
    }

    #bannerText span {
        transform: translate(-14px,-30px) !important;
    }

    .layout_table h4 {
        font-size: 24px !important;
    }

    div#ClinHx p {
        font-size: 14px;
    }
    
    .admin-table th {
        font-size: 18px !important;
        font-weight: bold;
    }

    .admin-table td {
        font-size: 16px !important;
        line-height: 1.5rem !important;
        padding: 5px !important;
    }

        .admin-table td span {
            line-height: 22px;
            padding: 0px !important;
        }

    #barcode_div {
        display: block;
        transform: translate(-14px,-30px) !important;
    }


    div.printHeader {
        position: fixed;
        top: 10px;
        right: 20px;
        display: block !important;
    }

    body {
        -webkit-print-color-adjust: exact;
    }

    @page {
        size: letter; /* DIN A4 standard, Europe */
        margin: 1cm;
    }
    .dashboard-wrapper {
        box-shadow: none !important;
        border: none !important;
        -webkit-box-shadow: none !important;
    }

    #hidden_BarCode {
        display: flex;
    }

    #lockedStatus {
        display: none;
    }

    .statusButton {
        display: none;
    }
    /*New Forms Engine Print - Start*/
    .card.main {
        display: none;
    }
    /*New Forms Engine Print - End*/
    /*Removes the progress bar*/
    #myProgress {
        display: none
    }
    /*Removes the button that allows you to switch sections*/
    #sections {
        display: none
    }
	div[id^='Protocolas'] h4{
    font-size:25px;
	}

    div[class^='phiElement'] span {
        font-size: 20px;
        line-height: 1.2em;
    }


    div[id^='Protocolas'] p {
        font-size: 20px;
        line-height: 1.2em;
    }
    div[id^='Protocolledas'] h4 {
        font-size: 25px;
    }


    div[id^='Protocolledas'] p {
        font-size: 20px;
        line-height: 1.2em;
    }
    .noprint {
        display: none
    }

    .print {
        display: block !important;
    }
    /*Removes the left sidebar*/
    #fourth {
        display: none
    }
    /*Removes the home hyperlink at the bottom of the screen*/
    #ctl00_app_master_footer_container_link_home_footer {
        display: none
    }
    /* Centers the comments button to the middle of the page*/
    #comments {
        transform: translate(-20%, 10%);
    }
    /*Removes the help and info blue hover buttons*/
    .fieldstatus {
        display: none
    }
    /*Removes the top three blue drop down menus*/
    .name:not(#ctl00_app_master_header_menu_container_label_user_full_name) {
        display: none
    }
    /*Removes the small arrow next to hyperlinks*/
    .image.smaller {
        display: none
    }
    /*Removes the edit section and save buttons*/
    .label.button {
        display: none
    }
    /*Removes the dots between hyperlinks at the top and bottom of the page*/
    .menu-divider {
        display: none
    }
    /*Removes all links on the page. This is specifically used for the bottom four links on the page*/
    [target=_website] {
        display: none
    }
    /*Removes the text descriptors for the save buttons at the bottom of the screen*/
    .formstatusdescription {
        display: none
    }
    /* Selects and bolds all checked checkboxes*/
    input[type="checkbox"]:checked + span {
        display: inline-block;
        font-weight: bold;
    }
    /*Creates a box around the selected radio button*/
    input[type="radio"]:checked + span {
        width: 2.0em;
        height: 2.0em;
        vertical-align: middle;
        background-repeat: repeat;
        border: medium solid black;
        font-weight: bolder;
        color: black;
    }
    /*Gets rid of the checks that appear on unchecked checkboxes*/
    input[type="checkbox"]:not(:checked) + ::after {
        display: none;
    }

    /*Increase the font in the print view*/
    .vu-table-drill-row td {
        font-size: 15px;
    }

    .vu-table-drill-header th {
        font-size: 15px;
    }

    #PHIHeader div {
        font-size: 14px;
    }

    /*Don't display entire formStatus div which contains the commments, Status Buttons etc.*/
    #FormStatus {
        display: none;
    }

    #updateFormSection {
        display: none;
    }

    /*Set margin for fieldLabel and field Elements */
    .fieldlabel {
        margin-left: 5px;
    }

        .fieldlabel + div {
            margin-left: 10px;
        }

    /*Fix the span padding for highlight comments*/
    .admin-row-data span[style] {
        padding: 0 !important;
    }


}

/*Overide css issues caused by Unicorn CSS*/
.ui-dialog-content .label {
    color: #fff !important;
}

.scroll-container {
    height: 21rem;
    overflow-y: scroll;
    padding: 0 4px 0 0px;
}

    .scroll-container::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        border-radius: 10px;
        background-color: #F5F5F5;
    }

    .scroll-container::-webkit-scrollbar {
        width: 8px;
        background-color: #1492ffbf;
    }

    .scroll-container::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #1492ffbf;
    }
.scrollContainer::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

.scrollContainer::-webkit-scrollbar {
    width: 8px;
    background-color: #1492ffbf;
}

.scrollContainer::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #1492ffbf;
}

#left_tables {
    /*Glitch with the old sticky code - causes scroll to misbehave*/
    /*height: 32rem;*/
    /*overflow-y: scroll;*/
    padding: 0 4px 0 0px;
    display: block;
    /* height: 30rem; */
}

.layout_table h4 {
    font-size: 15px;
    padding-left: 15px;
}

.layout_table h4 span {
    left: 0.1em !important;
}

.layout_table table {
    height: auto !important;
    padding: 1em 0em !important;
}

.list_view h4 {
    font-size: 15px;
}

.buttonsDiv {
    padding: 5px 0px 5px 0px;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}


.admin-table {
    width: 100% !important;
    border-collapse: separate;
    border-radius: 5px;
    -moz-border-radius: 5px;
}

.admin-table-wrapper {
    overflow-x: scroll;
    overflow-y: hidden;
}


.admin-row-header {
    background: #66abd3;
}

.admin-table td:first-child, th:first-child {
    border-left: none;
}

    .admin-row-header th {
        color: #FFFFFF;
        font-weight: 500;
        padding: 8px;
        border-top: none;
        border: solid 1px #D5D5D5;
        background: #66abd3;
    }
        .admin-row-header .sortable:hover {
            background: none repeat scroll 0 0 #5383CA !important;
            color: #FFFFFF !important;
        }

        .admin-row-header .sortable .sort-arrow {
            float: right;
        }

    .admin-row-header td {
        color: #FFFFFF;
    }

.admin-table td {
    padding: 4px;
    font-size: 11px;
    border: solid 1px #D5D5D5;
}

.admin-row-data {
    border-bottom: dotted 1px #D5D5D5;
}

.admin-alt-row-data {
    background-color: #FAFAFA;
    border-bottom: dotted 1px #D5D5D5;
}

a.statusButton:hover {
    text-decoration: none;
}

.card.currentstatus {
    text-align: center;
}

.app-button {
    cursor: pointer;
    display: block;
}

.app-button-disabled {
    cursor: not-allowed;
    background-color: gray;
    display: block;
}

/*Overide css issues caused by Unicorn CSS*/

.ui-dialog-no-close .ui-dialog-titlebar-close {
    display: none
}

#center_tables{
    overflow-x: hidden;
}

@media (max-width: 560px) {
    .statusButtonContainer {
        width: auto;
    }
}



